# Generated from article_fixture_gen-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name article_fixture_gen

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Generate blog post/article fixture data, with embedded marker tag pairs
License: MIT
URL: https://github.com/jdickey/article_fixture_gen
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(minitest) >= 5.9
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.9.0
# BuildRequires: rubygem(minitest-matchers) >= 1.4
# BuildRequires: rubygem(minitest-matchers) < 2
# BuildRequires: rubygem(minitest-matchers) >= 1.4.1
# BuildRequires: rubygem(minitest-profile)
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(minitest-reporters) >= 1.1.11
# BuildRequires: rubygem(minitest-tagz) >= 1.5
# BuildRequires: rubygem(minitest-tagz) < 2
# BuildRequires: rubygem(minitest-tagz) >= 1.5.1
# BuildRequires: rubygem(prolog_minitest_matchers) >= 0.3
# BuildRequires: rubygem(prolog_minitest_matchers) < 1
# BuildRequires: rubygem(prolog_minitest_matchers) >= 0.3.1
# BuildRequires: rubygem(flay) >= 2.8
# BuildRequires: rubygem(flay) < 3
# BuildRequires: rubygem(flay) >= 2.8.0
# BuildRequires: rubygem(flog) >= 4.4
# BuildRequires: rubygem(flog) < 5
# BuildRequires: rubygem(flog) >= 4.4.0
# BuildRequires: rubygem(reek) >= 4
# BuildRequires: rubygem(reek) < 5
# BuildRequires: rubygem(reek) >= 4.2.4
# BuildRequires: rubygem(rubocop) >= 0.42
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop) >= 0.42.0
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) >= 0.12.0
# BuildRequires: rubygem(pry-byebug) >= 3.4
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(pry-byebug) >= 3.4.0
# BuildRequires: rubygem(pry-doc) >= 0.9
# BuildRequires: rubygem(pry-doc) < 1
# BuildRequires: rubygem(pry-doc) >= 0.9.0
BuildArch: noarch

%description
Generate blog post/article fixture data, with embedded marker tag pairs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/article_fixture_gen
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config.reek
%{gem_instdir}/data
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/article_fixture_gen.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.2-1
- Initial package
